#
# spec file for package supybot-redmine
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{!?python_sitelib:  %global python_sitelib  %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
Name:           supybot-redmine
Version:        20140321
Release:        4.1
Summary:        Plugin for the supybot IRC bot that supports querying Redmine issues
License:        BSD-4-Clause-UC
Group:          Productivity/Networking/IRC
Url:            https://github.com/veggiematts/supybot-redmine
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  Supybot
Requires:       Supybot
Requires:       python-restkit
Requires:       python-simplejson
%py_requires
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description
This Supybot/Limnoria plugin allows to display informations about Redmine
issues and direct links to them.

Once the plugin is loaded and (at least) urlbase and apikey are set, you can
display informations about a Redmine issue with the "bug #" command, where # is
the issue number. If you enable the bugSnarfer variable for a given channel,
you won't need using the "bug" command anymore, just write "RM #", and the bot
will automatically display informations about the issue.

%prep
%setup -q
rm -rf .git

%build

%install
mkdir -p %{buildroot}%{python_sitelib}/supybot/plugins/Redmine
cp -r * %{buildroot}%{python_sitelib}/supybot/plugins/Redmine

%files
%defattr(-, root, root)
%doc README.md
%dir %{python_sitelib}/supybot
%dir %{python_sitelib}/supybot/plugins
%dir %{python_sitelib}/supybot/plugins/Redmine
%{python_sitelib}/supybot/plugins/Redmine

%changelog
* Mon Oct  2 2017 lars@linux-schulserver.de
- use python_sitelib for the plugin directory
* Fri Mar 21 2014 lars@linux-schulserver.de
- initial version - git checkout 729bcb9
